DH_INSTALLDIRS(1)

NOME
dh_installdirs - cria sub-directórios nos directórios de compilação de pacotes

RESUMO
dh_installdirs [debhelper opções] [-A] [--sourcedir=dir] [--create-in-sourcedir] [dir ...]

DESCRIÇÃO
dh_installdirs é um programa debhelper que é responsável por criar sub-directórios nos directórios de compilação de pacotes.

Muitos pacotes conseguem omitir completamente a chamada a dh_installdirs. De notar, é de esperar que outros comandos dh_* criem directórios quando é necessário.

FICHEIROS

debian/pacote.dirs
    Lista directórios a serem criados em pacote.

    Geralmente, não há necessidade de listar os directórios criados pelo sistema de compilação do autor ou os directórios necessários por outros comandos debhelper.

    Suporta variáveis de substituição em compatibilidade 13 e posterior como documentado em debhelper(7).

OPÇÕES

-A, --all
    Cria quaisquer directórios especificados por parâmetros de linha de comandos em TODOS os pacotes em que actua, e não apenas no primeiro.

--create-in-sourcedir, --no-create-in-sourcedir
    Ou para criar os directórios especificados no directório fonte (geralmente debian/tmp) em adição para no directório de compilação do pacote (geralmente debian/package).

    A predefinição é --no-create-in-sourcedir.

--sourcedir=directório
    Considera dir o directório fonte para os pacotes em actuação em vez da predefinição (que geralmente é debian/tmp).

    Por favor note que esta opção é dependente da opção --create-in-sourcedir (quando --no-create-in-sourcedir está em efeito, esta opção não faz nada em dh_installdirs).

dir ...
    Cria estes directórios no directório de compilação do pacote do primeiro pacote em que actua. (Ou em todos os pacotes se for especificado -A.)

VEJA TAMBÉM
debhelper(7)

Este programa é parte do debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro a_monteiro@gmx.com ou Equipa Debian de Tradução Portuguesa traduz@debianpt.org.